package com.gingersoft.gsa.other_order_mode.ui.base

import androidx.fragment.app.Fragment
import com.gingersoft.gsa.cloud.ui.widget.dialog.LoadingDialog

open class BaseFragment : Fragment() {
    fun showLoading(message: String? = null) {
        if (message != null)
            LoadingDialog.showDialogForLoading(activity, message, true)
        else
            LoadingDialog.showDialogForLoading(activity)
    }

    fun cancelDialogForLoading() {
        LoadingDialog.cancelDialogForLoading()
    }
}